using System;
using System.Collections.Generic;

public class Book {
    public Book(string name) {
        Name = name;
        _bookLoans = new List<BookLoan>();
    }
    public Book() {
        _bookLoans = new List<BookLoan>();
    }
    public int Id { get; set; }
    public string Name { get; set; }
    private List<BookLoan> _bookLoans;
    public IEnumerable<BookLoan> BookLoans {
         get { return _bookLoans; } 
    }
    public void BookWasLoaned(int daysLoaned) {
        _bookLoans.Add(new BookLoan(DateTime.Today, 14));
    }
}


public class BookLoan {
    public BookLoan(DateTime startDate, int daysLoaned) {
        _start = startDate;
        _daysLoaned = daysLoaned;
        CalculateDueDate();
    }
    public BookLoan(){ }
    private DateTime _start;
    private int _daysLoaned;
    private DateTime _dueDate;

    public int Id { get; set; }
    public DateTime Start {
        get { return _start; }
    } 
    public int DaysLoaned {
        get { return _daysLoaned; }
    }
    public DateTime DueDate  {
        get { return _dueDate; }
    }
    public void ResetStartAndDaysLoaned(DateTime startDate, int daysLoaned) {
      _start=startDate;
      _daysLoaned=daysLoaned;
      CalculateDueDate();
    }
    private void CalculateDueDate() {
      _dueDate=Start.AddDays(DaysLoaned);
    }
}
